curl --request GET \
--url https://api.dfns.io/auth/users/{userId} \
--header 'Authorization: Bearer <token>'{
"username": "<string>",
"name": "<string>",
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"kind": "AccountUser",
"credentialUuid": "<string>",
"orgId": "<string>",
"isActive": true,
"isServiceAccount": true,
"isRegistered": true,
"isSSORequired": true,
"permissionAssignments": [
{
"permissionName": "<string>",
"permissionId": "<string>",
"assignmentId": "<string>",
"operations": [
"<string>"
]
}
],
"permissions": [
"<string>"
]
}Retrieve information about a specific User.
curl --request GET \
--url https://api.dfns.io/auth/users/{userId} \
--header 'Authorization: Bearer <token>'{
"username": "<string>",
"name": "<string>",
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"kind": "AccountUser",
"credentialUuid": "<string>",
"orgId": "<string>",
"isActive": true,
"isServiceAccount": true,
"isRegistered": true,
"isSSORequired": true,
"permissionAssignments": [
{
"permissionName": "<string>",
"permissionId": "<string>",
"assignmentId": "<string>",
"operations": [
"<string>"
]
}
],
"permissions": [
"<string>"
]
}CustomerEmployee)EndUser)Auth:Users:Read: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
1Success
User id.
1 - 64^us-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$"us-6b58p-r53sr-rlrd3l5cj3uc4ome"
User kind.
AccountUser, CustomerEmployee, EndUser Show child attributes
Was this page helpful?